org.eclipse.rdf4j.repository.sail

## Class SailGraphQuery

- java.lang.Object
- - org.eclipse.rdf4j.query.impl.AbstractOperation
  - - org.eclipse.rdf4j.query.impl.AbstractQuery
    - - org.eclipse.rdf4j.query.impl.AbstractParserQuery
      - - org.eclipse.rdf4j.repository.sail.SailQuery
        - - org.eclipse.rdf4j.repository.sail.SailGraphQuery

- All Implemented Interfaces:
    GraphQuery, Operation, Query
  Direct Known Subclasses:
    FedXGraphQuery

      public class SailGraphQuery
      extends SailQuery
      implements GraphQuery

  Author:
    Arjohn Kampman

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.rdf4j.query.impl.AbstractParserQuery

      `AbstractParserQuery.QueryInterruptIteration`

    - ### Nested classes/interfaces inherited from interface org.eclipse.rdf4j.query.Query

      `Query.QueryType`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.query.impl.AbstractParserQuery

      `DEFAULT_EXPLANATION_EXECUTION_TIMEOUT`

    - ### Fields inherited from class org.eclipse.rdf4j.query.impl.AbstractOperation

      `bindings, dataset, includeInferred`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SailGraphQuery(ParsedGraphQuery tupleQuery, SailRepositoryConnection con)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GraphQueryResult` | `evaluate()`
    `void` | `evaluate(RDFHandler handler)`
    `ParsedGraphQuery` | `getParsedQuery()`

    - ### Methods inherited from class org.eclipse.rdf4j.repository.sail.SailQuery

      `explain, getConnection`

    - ### Methods inherited from class org.eclipse.rdf4j.query.impl.AbstractParserQuery

      `enforceMaxQueryTime, getActiveDataset, toString`

    - ### Methods inherited from class org.eclipse.rdf4j.query.impl.AbstractQuery

      `getMaxQueryTime, setMaxQueryTime`

    - ### Methods inherited from class org.eclipse.rdf4j.query.impl.AbstractOperation

      `clearBindings, getBindings, getDataset, getIncludeInferred, getMaxExecutionTime, removeBinding, setBinding, setDataset, setIncludeInferred, setMaxExecutionTime`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.Query

      `explain, getMaxQueryTime, setMaxQueryTime`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.Operation

      `clearBindings, getBindings, getDataset, getIncludeInferred, getMaxExecutionTime, removeBinding, setBinding, setDataset, setIncludeInferred, setMaxExecutionTime`

- - ### Constructor Detail

    - #### SailGraphQuery

          protected SailGraphQuery(ParsedGraphQuery tupleQuery,
                                   SailRepositoryConnection con)

  - ### Method Detail

    - #### getParsedQuery

          public ParsedGraphQuery getParsedQuery()

      Overrides:
        `getParsedQuery` in class `AbstractParserQuery`

    - #### evaluate

          public GraphQueryResult evaluate()
                                    throws QueryEvaluationException

      Specified by:
        `evaluate` in interface `GraphQuery`
      Throws:
        `QueryEvaluationException`

    - #### evaluate

          public void evaluate(RDFHandler handler)
                        throws QueryEvaluationException,
                               RDFHandlerException

      Specified by:
        `evaluate` in interface `GraphQuery`
      Throws:
        `QueryEvaluationException`
        `RDFHandlerException`

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.